Subject: bug#22073: closed (Re: bug#22073: Fwd: search-paths and propagated inputs)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 20 Dec 2015 21:36:01 +0000

Your bug report

#22073: Fwd: search-paths and propagated inputs

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22073: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22073
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22073: Fwd: search-paths and propagated inputs
From: [email-masked] (Ludovic Courtès)
To: Federico Beffa <[email-masked]>
Cc: Ricardo Wurmus <[email-masked]>, [email-masked]
Date: Sun, 20 Dec 2015 22:35:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Fixed in ccda8f7, thanks!

Ludo’.

Subject: Fwd: search-paths and propagated inputs
From: Federico Beffa <[email-masked]>
To: [email-masked]
Date: Wed, 2 Dec 2015 09:18:07 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Federico Beffa <[email-masked]> writes:

> Federico Beffa <[email-masked]> writes:
>
>> Hi,
>>
>> the package 'gobject-introspection' declares a
>> search-path-specification for the variable GI_TYPELIB_PATH and
>> 'matplotlib' uses and propagates said package. I have 'matplotlib' in
>> my profile, but "guix package --search-paths" doesn't show anything
>> about GI_TYPELIB_PATH.
>>
>> Is it intentional or an oversight that search-path-specifications of
>> propagated-inputs are not considered? Or, am I doing something wrong?
>>
>> Regards,
>> Fede
>
> Bug or feature?

I think it’s a bug.  Right now users of matplotlib have to check the
sources where it says that GI_TYPELIB_PATH must be set.

~~ Ricardo